summaryrefslogtreecommitdiffstats
path: root/regress/connect.sh
diff options
context:
space:
mode:
Diffstat (limited to 'regress/connect.sh')
-rw-r--r--regress/connect.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/regress/connect.sh b/regress/connect.sh
new file mode 100644
index 0000000..46f12b7
--- /dev/null
+++ b/regress/connect.sh
@@ -0,0 +1,18 @@
+# $OpenBSD: connect.sh,v 1.8 2020/01/25 02:57:53 dtucker Exp $
+# Placed in the Public Domain.
+
+tid="simple connect"
+
+start_sshd
+
+trace "direct connect"
+${SSH} -F $OBJ/ssh_config somehost true
+if [ $? -ne 0 ]; then
+ fail "ssh direct connect failed"
+fi
+
+trace "proxy connect"
+${SSH} -F $OBJ/ssh_config -o "proxycommand $NC %h %p" somehost true
+if [ $? -ne 0 ]; then
+ fail "ssh proxycommand connect failed"
+fi